import { Header } from '@nestjs/common';

export const PreventCache = () => {
  return (target: any, key?: string, descriptor?: any): any => {
    return Header('Cache-Control', 'no-cache,no-store')(target, key, descriptor);
  };
};
