import { HttpModule } from '@nestjs/axios';
import { Module } from '@nestjs/common';
import * as https from 'https';
import { ConfigModule } from '../config/config.module';
import { FileService } from './services/file.service';

@Module({
  imports: [ConfigModule, HttpModule.register({ httpsAgent: new https.Agent({ rejectUnauthorized: false }) })],
  providers: [FileService],
  exports: [FileService],
})
export class SharedModule {}
